package com.palmnest.application.dto.output.enterprise;

import java.util.List;

/**
 * @Author 黄笑天
 * @Description 企业/身份 权限功能输出POJO
 * @Date 2019/2/25 16:18
 **/
public class VirPermConfigDTO {

    private Long id;
    private String name;
    private Integer orgId;
    private String orgName;
    private Integer virId;
    private String virName;
    private Integer checkRole;
    private List<OpenedFunctionOutDto> funcList;
    private List<OpenedFunctionOutDto> funcChildList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getVirId() {
        return virId;
    }

    public void setVirId(Integer virId) {
        this.virId = virId;
    }

    public String getVirName() {
        return virName;
    }

    public void setVirName(String virName) {
        this.virName = virName;
    }

    public List<OpenedFunctionOutDto> getFuncList() {
        return funcList;
    }

    public void setFuncList(List<OpenedFunctionOutDto> funcList) {
        this.funcList = funcList;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<OpenedFunctionOutDto> getFuncChildList() {
        return funcChildList;
    }

    public void setFuncChildList(List<OpenedFunctionOutDto> funcChildList) {
        this.funcChildList = funcChildList;
    }

    public Integer getCheckRole() {
        return checkRole;
    }

    public void setCheckRole(Integer checkRole) {
        this.checkRole = checkRole;
    }
}
